<bugID>1081157<Summary>"What is this page" link appears on "blank" version of about:newtab</Summary><Description>Bug 1062256 intentionally added a "What is this page" link to the body of the new tab page.

This link does not make sense when the new tab page is set to "blank" mode.  For example, clicking the link says, "When you open a new tab, you'll see tiles...," which is not true when the page is set to blank.

Also, this link adds clutter and distraction and makes the page less "blank" than it was.  Having a distraction-free option has long been a goal of the new tab page design, going back to the first iterations 5 years ago:
https://blog.mozilla.org/labs/2009/03/firefox-new-tab-page-cognitive-shield/

Therefore, the "What is this page?" link should be hidden when the "blank" option is selected.</Description></bugID>